Sky3ds+ can’t play 2017 3ds games or only just the Pokemon Sun&Moon?

Perhaps you already know that Sky3ds and Sky3ds+ both can’t support Pokemon Sun or Moon, so it will come a question, does Sky3ds plus only couldn’t play Pokemon Sun&Moon or it will not be compatible with future 3ds games released in December and 2017? In this post, we are glad to give you some explanation.

sky3ds-2017-3ds-games

Why Sky3ds+ can’t play Pokemon Sun and Pokemon Moon?

By reading this post, I suppose you know about the Sky3ds and Sky3ds plus, so I won’t say it again Why blue button SKY3DS can not play Pokemon Sun and Moon. Here we are just talking about the orange button Sky3ds+ and the reason for its incompatibility for PKMN.

Sky3ds+, this 3ds cart plays most of 3ds games, including the ones with AP check, for examle Monster Hunter Generation. But the problem is, Nintendo is likely to implement AP check 2.0 on the 2 pokemon games. Which is totally new for Sky3ds+ card and it can not bypass now without any update. But there is also another guessing on the reason, it is said that not the New AP check but other small problem.

With a workaround people get the game work for Gateway, so I think isn’t a new AP check but a new type/format of game card (like card1 and card2) that have issues being recognized by Sky3DS+. If this is the case a quick update fix from Sky3DS team could resolve the problem. If I’m wrong and is really a new AP check could take more time to get a fix.

Sky3ds+ can or can’t support 3ds games released in December and 2017?

3DS Games released in December

  • Super Mario Maker 3DS (December 2, 2016)
  • Animal Crossing: New Leaf – Welcome amiibo (December 8, 2016)

2017 3DS Games

  • Rise: Race The Future 3DS
  • 80s Overdrive 3DS
  • Shift DX 3DS
  • Treasurenauts 3DS
  • The Unlikely Legend of Rusty Pup 3DS
  • Runbow Pocket 3DS
  • Dragon Quest VIII: Journey of the Cursed King
    (January 20, 2017)
  • Poochy and Yoshi’s Woolly World 3DS (February 3, 2017)
  • Story of Seasons: Trio of Towns 3DS (February 2017)
  • Tank Troopers 3DS (Q1 2017)
  • Blaster Master Zero 3DS (Q2 2017)
  • Blaster Master Zero 3DS (Q2 2017)
  • The Snack World 3DS (July 2017)
  • Swapdoodle 3DS (November 17, 2016)
  • Touch Battle Tank Tag Combat 3DS (November 17, 2016)
  • Lady Layton: The Millionaire Ariadone’s Conspiracy 3DS
  • Urban Trial Freestyle 2 3DS
  • Spheroids 3DS
  • Pikmin [Working Title] 3DS
  • Space Dave 3DS

Conclusion: If all these games are being added AP check 2.0, the current Sky3ds+ with v112 firmware can’t support them, only the Sky3ds+ card with new update will play them freely on 3DS. On the other hand, if Nintendo only adds AP check 2.0 to Pokemon Sun&Moon, Sky3ds plus is fully compatible with the upcoming 3ds gams because this 3ds flash cart is emulating the retail 3ds cartridge to be run on 3DS, it won’t blocked by Nintendo 3DS.

When will Sky3ds and Sky3ds+ be compatible with Pokemon Sun&Moon?

For Sky3ds, the time will be very very longer, it is still can not play 3ds games with 1.0 AP check.

For Sky3ds+, the time will be some weeks or some months, it is depended on the Sky3ds flash cart company. Many users and resellers e-mailed sky3ds.com and got their response that, we were already working on it, please wait. Please remember this time, you do not need to buy another sky3ds++ or sky3ds v4, just wait for the sky3ds+ update is enough.